import request from "@/utils/request";
// device-boot
//地图展示数据-地图监测点(风电场，光伏电站，冶炼负荷)
export function getMapDisplay(data) {
    return request({
        url: "/device-boot/SpecialAnalysisController/getMapDisplay",
        method: "POST",
        data,
    });
}
//地图展示数据-数据同比环比(风电场，光伏电站，冶炼负荷)
export function getYoYList(data) {
    return request({
        url: "/device-boot/SpecialAnalysisController/getYoYList",
        method: "POST",
        data,
    });
}
//地图展示数据-地图监测点(电气化铁路)
export function getDisplayRailway(data) {
    return request({
        url: "/device-boot/SpecialAnalysisController/getDisplayRailway",
        method: "POST",
        data,
    });
}
//地图展示数据-按电压展示数据(电气铁路)
export function getMapDisplayRailway(data) {
    return request({
        url: "/device-boot/SpecialAnalysisController/getMapDisplayRailway",
        method: "POST",
        data,
    });
}
//地图展示数据-按接线类型展示(电气化铁路)
export function getWiringTypeRailway(data) {
    return request({
        url: "/device-boot/SpecialAnalysisController/getWiringTypeRailway",
        method: "POST",
        data,
    });
}